<div class="container rounded bg-white mt-5 mb-5">
  <div class="row">
      <div class="col-md-8" [ngClass]="{'col-md-12': loggedUser.role === 'Organization'}">
        <div class="align-items-center mb-1">
          <h4 class="text-center text-primary pt-3">Profile Settings</h4>
        </div>
          <form class="p-3 py-5" [formGroup]="accountForm" (ngSubmit)="updateAccount()">
              <div class="row mt-2 form-group">
                  <div class="col-md-6">
                    <label for="firstName" class="labels">Name</label>
                    <input type="text" class="form-control" placeholder="first name" formControlName="firstName" id="firstName">
                  </div>
                  <div class="col-md-6">
                    <label for="lastName" class="labels">Surname</label>
                    <input type="text" class="form-control" formControlName="lastName" id="lastName" placeholder="surname">
                  </div>
              </div>
              <div class="row mt-3 form-group">
                  <div class="col-md-12">
                    <label for="role" class="labels">Role</label>
                    <input type="text" formControlName="role" id="role" readonly class="form-control">
                  </div>
                  <div class="col-md-12 mt-3 form-group">
                    <label for="email" class="labels">Email</label>
                    <input type="text" class="form-control" formControlName="email" id="email" placeholder="enter email">
                  </div>
                  <div class="col-md-12 mt-3 form-group">
                    <label for="password" class="labels">Current password</label>
                    <input type="password" class="form-control" formControlName="password" id="password" placeholder="Current password.." required required>
                  </div>
                  <div class="col-md-12 mt-3 form-group">
                    <label for="password" class="labels">New password</label>
                    <input type="password" class="form-control" formControlName="newpassword" id="newpassword" placeholder="New password..">
                  </div>
                  <div class="col-md-12 mt-3 form-group">
                    <label for="password" class="labels" id="cnp_lbl">Confirm new password</label>
                    <input type="password" class="form-control" formControlName="confirmpassword" id="confirmpassword" (keyup)="matchCheck()">
                  </div>
              </div>

              <div class="row mt-2">
                <div class="mt-5 col-md-4 text-center"><button class="btn btn-primary profile-button" type="submit">Update Profile</button></div>
                <div class="mt-5 col-md-4 text-center"><button class="btn btn-danger profile-button" type="button" (click)="onDeleteAccountClick()" >Delete Profile</button></div>
                <div class="mt-5 col-md-4 text-center"><button class="btn btn-success profile-button" type="button" (click)="onLogoutClick()" >Log out</button></div>
              </div>
          </form>
      </div>
      <div class="col-md-4 border-left" *ngIf="loggedUser.role === 'Regular'" >
            <div *ngIf="pendingLoaded" >
            <div class="card" *ngFor="let pendingOffer of prendingOffers">
                <div class="card-body" >
                  <button type="button" class="btn btn-success float-right" (click)="redirectToOffer(pendingOffer)" >Go to..</button>
                  <h5 class="card-title">{{pendingOffer.title}}</h5>
                  <p class="card-text h6">Offer status: {{pendingOffer.offer_status}}</p>
                  <p class="card-text h6">Your application: <span class="text-warning">Pending..</span> </p>
                </div>
            </div>
          </div>
            <div *ngIf="approvedLoaded">
              <div class="card" *ngFor="let approvedOffer of approvedOffers">
                <div class="card-body">
                  <button type="button" class="btn btn-success float-right" (click)="redirectToOffer(approvedOffer)" >Go to..</button>
                  <h5 class="card-title">{{approvedOffer.title}}</h5>
                  <p class="card-text h6">Offer status: {{approvedOffer.offer_status}}</p>
                  <p class="card-text h6">Your application: <span class="text-success">approved</span> </p>
                </div>
              </div>
            </div>
            <div *ngIf="rejectedLoaded">
              <div class="card" *ngFor="let rejectedOffer of rejectedOffers">
                <div class="card-body" >
                  <button type="button" class="btn btn-success float-right" (click)="redirectToOffer(rejectedOffer)" >Go to..</button>
                  <h5 class="card-title">{{rejectedOffer.title}}</h5>
                  <p class="card-text h6">Offer status: {{rejectedOffer.offer_status}}</p>
                  <p class="card-text h6">Your application: <span class="text-danger">rejected</span> </p>
                </div>
              </div>
             </div>

      </div>
  </div>
</div>
